%define	upstream_name	 Module-Signature
%define upstream_version 0.79

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check and create SIGNATURE files for CPAN distributions
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

# Module build
BuildRequires: perl(Class::Loader)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Convert::ASCII::Armour)
BuildRequires: perl(Convert::ASN1)
BuildRequires: perl(Convert::PEM)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Crypt::DSA)
BuildRequires: perl(Crypt::OpenPGP) >= 1.0.0
BuildRequires: perl(Crypt::Primes)
BuildRequires: perl(Crypt::RIPEMD160)
BuildRequires: perl(Crypt::RSA)
BuildRequires: perl(Crypt::Random)
BuildRequires: perl(Data::Buffer) >= 0.40.0
BuildRequires: perl(Digest::MD2)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::Pari)
# Module runtime
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Digest::SHA1)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Tie::EncryptedHash)
# Test suite
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps </dev/null
%make

%check
%make test

%install
%{makeinstall_std}

%files
%doc AUTHORS Changes META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module


%changelog
* Wed May 11 2016 tv <tv> 0.790.0-3.mga6
+ Revision: 1013140
- add BRs in order to fix build

* Fri Feb 19 2016 umeabot <umeabot> 0.790.0-2.mga6
+ Revision: 967885
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.790.0-1.mga6
+ Revision: 850440
- update to 0.79

* Tue Apr 07 2015 sander85 <sander85> 0.730.0-5.mga5
+ Revision: 819865
- Fix security issues (mga#15643)

* Wed Oct 15 2014 umeabot <umeabot> 0.730.0-4.mga5
+ Revision: 750484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.730.0-3.mga5
+ Revision: 685476
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.730.0-2.mga4
+ Revision: 528356
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.730.0-1.mga4
+ Revision: 439549
- update to 0.73
- update to 0.70

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.690.0-1.mga3
+ Revision: 315139
- update to 0.69

* Sun May 15 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 98886
- update to 0.68

* Tue Apr 19 2011 misc <misc> 0.670.0-1.mga1
+ Revision: 88738
- fix BR

  + jquelin <jquelin>
    - update to 0.67

* Wed Jan 19 2011 jquelin <jquelin> 0.660.0-1.mga1
+ Revision: 24253
- fix specs
- imported package perl-Module-Signature

